#
# spec file for package perl-FCGI (Version 0.73)
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           perl-FCGI
Version:        0.73
Release:        1.1
License:        CHECK(GPL+ or Artistic)
%define cpan_name FCGI
Summary:        Fast CGI module
Url:            http://search.cpan.org/dist/FCGI/
Group:          Development/Libraries/Perl
Source:         http://www.cpan.org/authors/id/F/FL/FLORA/%{cpan_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
Fast CGI module

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.files
%defattr(-,root,root,755)
%doc ChangeLog configure.readme FCGI.XL LICENSE.TERMS README

%changelog
* Wed Jun  8 2011 coolo@novell.com
- updated to 0.73
  o Stop claiming we ship a file called -e in the MANIFEST.
  o Clean up Makefile.PL and restore compatibility with recent
    ExtUtils::MakeMaker versions.
  o Remove support for sfio which is an optional (and not enabled by default)
    compile option to perl that is never used.
  o Fix FCGI::Stream::READ() to warn() instead of croak() incase of
    wide characters which cannot be gracefully downgraded.
  o Fix warnings due to wide characters being mangled to note that accepting
    them is deprecated and will stop working at some point.
  o Various fixes to FCGI::Stream::READ() to improve handling of error and
    edge cases.
  - croak if called with invalid number of arguments
  - croak if length is negative
  - croak if offset is outside string
  - pad scalar if offset is greater than length
  o Fix in FCGX_Finish_r to discard any remaining data in input stream
    which otherwise ends up in next request. This fixes multiple requests
    being broken if something goes wrong whilst reading the initial request.
    This discarding is done silently, as RFC 3875 says a script is not
    obliged to read any of the data.
  o Fixed indent style and braces to be consistent, swapped tabs for spaces
    in indenting.
  o Change the Request function to pass FAIL_ON_INTR into the XS
    RequestX function. This prevents the fcgi C client code from
    looping around their accept() call. This change means that
    when using CGI::Fast, and the process recieves SIGTERM or
    SIGHUP, the error statusis correctly passed back up, allowing process
    managers (such as FCGI::ProcManager) to correctly handle cleanly exiting.
  o Restore old behavior when un-downgradeable uft8 is sent to FCGI.
    The first time this happens, a warning will be issued, but subsequently
    the bytes will be sent through raw (causing double encoding etc).
    If the character string can be downgraded safely, then it will still be.
    use warnings FATAL => 'utf8'; can be used to make undowngradeable strings
    throw an exception.
  o Fix PRINT retval (Closes: RT#57697).
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Tue Sep 14 2010 chris@computersalat.de
- update to 0.71
    o Fix some more defined(%%hash) warnings on perl 5.12.
  - Version 0.70 --     22 Mar 2010  <bobtfish@bobtfish.net> Tomas Doran
    o Fix use of defined %%hash which becomes deprecated in perl 5.12
  - Version 0.69 --     15 Feb 2010  <mst@shadowcat.co.uk> Matt S Trout
    o No changes since the previous development release.
  - Version 0.68_02 --   13 Jan 2010  <mst@shadowcat.co.uk> Matt S Trout
    o Make the PRINT method return a boolean value rather than the
  number of bytes written, previous patch was incorrect.
  - Version 0.68_01 --   10 Jan 2010  <mst@shadowcat.co.uk> Matt S Trout
    o Force signal handler installation so that we correctly install handlers
    for SIGPIPE. Fixes RT#5100 <bobtfish@bobtfish.net>
    o Make the PRINT method return the number of bytes written rather than
    undef to be consistent with the IO:: interface. Fixes RT#24347
    <David Dick>
    o Fix UTF-8 double encoding when FCGI is passed octets by downgrading
    them into bytes correctly. Fixes RT#52400 <chansen@cpan.org>
  - Version 0.68 --     31 Dec 2009  <mst@shadowcat.co.uk> Matt S Trout
    o No changes since the previous development release.
  - Version 0.67_01 --   20 Dec 2009  <mst@shadowcat.co.uk> Matt S Trout
    o Add FILENO method which returns a defined but invalid value to
    placate things such as IPC::Run which call fileno to check if a
    filehandle is open.
    Closes bugs:
    http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=544540
    http://rt.cpan.org/Public/Bug/Display.html?id=50972
    Removes need for upstream patch in OpenBSD <bobtfish@bobtfish.net>
    o Call the fcgi lib's attach/detach <robs@fastcgi.com>
- recreated by cpanspec 1.78
* Wed Dec  9 2009 bitshuffler #suse@irc.freenode.org
- Initial RPM
